#include <bits/stdc++.h>

typedef long long ll;
typedef std::pair<int, int> pii;

template<typename T>
void read(T &r) { static char ch, last; ch = getchar(), last = 'z', r = 0; while (ch < '0' || ch > '9') last = ch, ch = getchar(); while (ch >= '0' && ch <= '9') r = (r << 1) + (r << 3) + (ch ^ 48), ch = getchar(); r = last == '-' ? -r : r; }
template<typename T, typename ...Ts>
void read(T &r, Ts& ...args) { read(r), read(args...); }

int main() {
    freopen("traverse.in", "r", stdin);
    freopen("traverse.out", "w", stdout);

    int T;
    read(T);
    while (T--) puts("0");
    return 0;
}